Summary:	setxkbmap application - set the keyboard using the X Keyboard Extension
Summary(pl.UTF-8):	Aplikacja setxkbmap - konfiguracja klawiatury przy użyciu rozszerzenia X Keyboard
Name:		xorg-app-setxkbmap
Version:	1.3.4
Release:	1%{?tld}
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/setxkbmap-%{version}.tar.xz
# Source0-md5:	1d61c9f4a3d1486eff575bf233e5776c
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-lib-libxkbfile-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The setxkbmap command maps the keyboard to use the layout determined
by the options specified on the command line.

An XKB keymap is constructed from a number of components which are
compiled only as needed.

%description -l pl.UTF-8
Polecenie setxkbmap odwzorowuje klawiaturę zgodnie z układem
określonym opcjami podanymi z linii poleceń.

Mapa klawiatury XKB jest konstruowana z wielu składników, które są
kompilowane tylko w razie potrzeby.

%prep
%setup -q -n setxkbmap-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/setxkbmap
%{_mandir}/man1/setxkbmap.1*
%changelog
* Wed Dec 13 2023 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-app-setxkbmap.git;a=log;h=master

* Wed May 17 2023 Jakub Bogusz <qboosh@pld-linux.org> 98d686d
- updated to 1.3.4

* Fri Apr 15 2022 Jakub Bogusz <qboosh@pld-linux.org> 33ce580
- updated to 1.3.3

* Mon Jul 15 2019 Jakub Bogusz <qboosh@pld-linux.org> 7d82536
- updated to 1.3.2

* Sun Apr 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 5f421ba
- updated to 1.3.1

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> f99ecd7
- update man regarding 1x ext

* Fri Mar 23 2012 Jakub Bogusz <qboosh@pld-linux.org> a7506fb
- updated to 1.3.0

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> ebdab2f
- dropped pre-cvs changelog

* Fri Sep 24 2010 Jakub Bogusz <qboosh@pld-linux.org> 288645c
- updated to 1.2.0

* Fri Oct 09 2009 Jakub Bogusz <qboosh@pld-linux.org> e17a802
- updated util-macros version

* Thu Jul 09 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 546e4fe
- up to 1.1.0

* Tue Jul 24 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> d6d9f15
- up to 1.0.4

* Mon Apr 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 767f761
- informative descs

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 274bff1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 59aa14f
- converted to UTF-8

* Mon Dec 04 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 189d985
- xkbdata is deprecated in xorg 7.2

* Thu Nov 02 2006 Jakub Bogusz <qboosh@pld-linux.org> a6fd176
- updated to 1.0.3

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 22a3c9e
- more verbose files
- R: xkbdata

* Fri Mar 10 2006 freetz <freetz@pld-linux.org> 0b61ee6
- 1.0.2, switched to 'individual' dir

* Thu Jan 12 2006 Jakub Bogusz <qboosh@pld-linux.org> 69b6b6a
- 1.0.1 (X11R7.0 release)

* Fri Dec 09 2005 Jakub Bogusz <qboosh@pld-linux.org> 36e7059
- 0.99.3 (X11R7.0-RC3)

